View Issue Details

IDProjectCategoryView StatusLast Update
0010471LazarusLazReportpublic2008-04-24 10:08
ReporterAndrey GusevAssigned ToVincent Snijders 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.25 (SVN) 
Summary0010471: LazReport designer window vertical scrollbar is invalid
DescriptionPgUp/PgDown, mouse, both wheel and left button have no effect.
So, i cannot fill whole page of report.
Additional Informationlazarus 13479
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0010400 closedMattias Gaertner Scrollbars in forms working backwards 
related to 0010188 closedPaul Ishenin ScrollBox scrolls backwards 

Activities

Andrey Gusev

2007-12-28 15:29

reporter   ~0016900

Last edited: 2007-12-28 15:32

I see sispicious scrollbar position zeroing, catched by conditional breakpoint at TControlScrollBar.SetPosition() begining:
--- FPrevPos is private field
// assumed FPrevPos = 0 after just created
if (FPrevPos > 0) and (Value = 0) then asm int 3 end;
FPrevPos := Value;
---
some hypotesis ?

Stack trace be attached.
Catched in just opened report designer, PgDn pressed on empty report.

13504

2007-12-28 15:30

 

NextPage_PositionReset_Stack.bz2 (3,225 bytes)

Andrey Gusev

2008-02-07 17:47

reporter   ~0017632

fixed at 14014 level.
whereas some TScrollBox's problems yet not solved (see 0010784),
that don't influent to LazReport designer.

Vincent Snijders

2008-02-07 23:08

manager   ~0017637

Fixed according to reporter.

Issue History

Date Modified Username Field Change
2007-12-27 12:57 Andrey Gusev New Issue
2007-12-27 12:57 Andrey Gusev Widgetset => Win32
2007-12-28 01:00 Marc Weustink Status new => acknowledged
2007-12-28 01:03 Marc Weustink LazTarget => 1.0
2007-12-28 15:29 Andrey Gusev Note Added: 0016900
2007-12-28 15:30 Andrey Gusev File Added: NextPage_PositionReset_Stack.bz2
2007-12-28 15:32 Andrey Gusev Note Edited: 0016900
2008-01-31 13:05 Felipe Monteiro de Carvalho Relationship added related to 0010400
2008-01-31 13:05 Felipe Monteiro de Carvalho Relationship added related to 0010188
2008-02-07 17:47 Andrey Gusev Note Added: 0017632
2008-02-07 23:08 Vincent Snijders Status acknowledged => resolved
2008-02-07 23:08 Vincent Snijders Fixed in Version => 0.9.25 (SVN)
2008-02-07 23:08 Vincent Snijders Resolution open => fixed
2008-02-07 23:08 Vincent Snijders Assigned To => Vincent Snijders
2008-02-07 23:08 Vincent Snijders Note Added: 0017637
2008-04-24 00:05 Marc Weustink Status resolved => closed
2008-04-24 10:08 Vincent Snijders Target Version => 1.0.0